using Godot;

namespace Cirno.Scripts.Resources.Modifiers;

[GlobalClass]
[Tool]
public partial class DelayedContinuousRotationModifier : TimeModifier
{
    public override void Update(Bullet bullet, double delta, double elapsed)
    {
        bullet.RotateSpriteDegrees((float)(Value * delta));
    }
}